#ifndef __DHT10_H__
#define __DHT10_H__

#include <stdint.h>

#include "config.h"

#include "delay.h" // 确保有毫秒级延时函数
#include "iic.h"   // 包含您的I2C驱动头文件

#define DHT10_ADDR 0x5C // I2C设备地址

void DHT10_Init ();
void DHT10_ReadData ();
uint16_t DHT10_GetTemperature ();
uint16_t DHT10_GetHumidity ();
#endif // __DHT10_H__